Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.constants
Class Constants

    java.lang.Object
      org.apache.ws.commons.schema.constants.Constants

    public class Constants

extends java.lang.Object

Constants

Nested Class Summary
`static class` | `Constants.BlockConstants` All constants that are relevant to the names of the schema elements
`static class` | `Constants.MetaDataConstants` class holding the the constants for meta data storage
`static class` | `Constants.SystemConstants` class holding the the constants for meta data storage

Field Summary
`static java.lang.String` | `DEFAULT_NS_PREFIX`
`static java.lang.String` | `NULL_NS_URI`
`static java.lang.String` | `URI_2001_SCHEMA_XSD`
`static java.lang.String` | `URI_2001_SCHEMA_XSI`
`static java.lang.String` | `XML_NS_PREFIX`
`static java.lang.String` | `XML_NS_URI`
`static java.lang.String` | `XMLNS_ATTRIBUTE`
`static java.lang.String` | `XMLNS_ATTRIBUTE_NS_URI`
`static java.lang.String` | `XMLNS_PREFIX`
`static java.lang.String` | `XMLNS_URI`
`static javax.xml.namespace.QName` | `XSD_ANY`
`static javax.xml.namespace.QName` | `XSD_ANYSIMPLETYPE`
`static javax.xml.namespace.QName` | `XSD_ANYTYPE`
`static javax.xml.namespace.QName` | `XSD_ANYURI`
`static javax.xml.namespace.QName` | `XSD_BASE64`
`static javax.xml.namespace.QName` | `XSD_BOOLEAN`
`static javax.xml.namespace.QName` | `XSD_BYTE`
`static javax.xml.namespace.QName` | `XSD_DATE`
`static javax.xml.namespace.QName` | `XSD_DATETIME`
`static javax.xml.namespace.QName` | `XSD_DAY`
`static javax.xml.namespace.QName` | `XSD_DECIMAL`
`static javax.xml.namespace.QName` | `XSD_DOUBLE`
`static javax.xml.namespace.QName` | `XSD_DURATION`
`static javax.xml.namespace.QName` | `XSD_ENTITIES`
`static javax.xml.namespace.QName` | `XSD_ENTITY`
`static javax.xml.namespace.QName` | `XSD_FLOAT`
`static javax.xml.namespace.QName` | `XSD_HEXBIN`
`static javax.xml.namespace.QName` | `XSD_ID`
`static javax.xml.namespace.QName` | `XSD_IDREF`
`static javax.xml.namespace.QName` | `XSD_IDREFS`
`static javax.xml.namespace.QName` | `XSD_INT`
`static javax.xml.namespace.QName` | `XSD_INTEGER`
`static javax.xml.namespace.QName` | `XSD_LANGUAGE`
`static javax.xml.namespace.QName` | `XSD_LONG`
`static javax.xml.namespace.QName` | `XSD_MONTH`
`static javax.xml.namespace.QName` | `XSD_MONTHDAY`
`static javax.xml.namespace.QName` | `XSD_NAME`
`static javax.xml.namespace.QName` | `XSD_NCNAME`
`static javax.xml.namespace.QName` | `XSD_NEGATIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_NMTOKEN`
`static javax.xml.namespace.QName` | `XSD_NMTOKENS`
`static javax.xml.namespace.QName` | `XSD_NONNEGATIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_NONPOSITIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_NORMALIZEDSTRING`
`static javax.xml.namespace.QName` | `XSD_NOTATION`
`static javax.xml.namespace.QName` | `XSD_POSITIVEINTEGER`
`static javax.xml.namespace.QName` | `XSD_QNAME`
`static javax.xml.namespace.QName` | `XSD_SCHEMA`
`static javax.xml.namespace.QName` | `XSD_SHORT`
`static javax.xml.namespace.QName` | `XSD_STRING`
`static javax.xml.namespace.QName` | `XSD_TIME`
`static javax.xml.namespace.QName` | `XSD_TOKEN`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDBYTE`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDINT`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDLONG`
`static javax.xml.namespace.QName` | `XSD_UNSIGNEDSHORT`
`static javax.xml.namespace.QName` | `XSD_YEAR`
`static javax.xml.namespace.QName` | `XSD_YEARMONTH`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLNS_URI

    public static final java.lang.String XMLNS_URI

See Also:
  Constant Field Values

### XMLNS_PREFIX

    public static final java.lang.String XMLNS_PREFIX

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSD

    public static final java.lang.String URI_2001_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSI

    public static final java.lang.String URI_2001_SCHEMA_XSI

See Also:
  Constant Field Values

### XSD_STRING

    public static final javax.xml.namespace.QName XSD_STRING

### XSD_BOOLEAN

    public static final javax.xml.namespace.QName XSD_BOOLEAN

### XSD_DOUBLE

    public static final javax.xml.namespace.QName XSD_DOUBLE

### XSD_FLOAT

    public static final javax.xml.namespace.QName XSD_FLOAT

### XSD_INT

    public static final javax.xml.namespace.QName XSD_INT

### XSD_INTEGER

    public static final javax.xml.namespace.QName XSD_INTEGER

### XSD_LONG

    public static final javax.xml.namespace.QName XSD_LONG

### XSD_SHORT

    public static final javax.xml.namespace.QName XSD_SHORT

### XSD_BYTE

    public static final javax.xml.namespace.QName XSD_BYTE

### XSD_DECIMAL

    public static final javax.xml.namespace.QName XSD_DECIMAL

### XSD_BASE64

    public static final javax.xml.namespace.QName XSD_BASE64

### XSD_HEXBIN

    public static final javax.xml.namespace.QName XSD_HEXBIN

### XSD_ANYSIMPLETYPE

    public static final javax.xml.namespace.QName XSD_ANYSIMPLETYPE

### XSD_ANYTYPE

    public static final javax.xml.namespace.QName XSD_ANYTYPE

### XSD_ANY

    public static final javax.xml.namespace.QName XSD_ANY

### XSD_QNAME

    public static final javax.xml.namespace.QName XSD_QNAME

### XSD_DATETIME

    public static final javax.xml.namespace.QName XSD_DATETIME

### XSD_DATE

    public static final javax.xml.namespace.QName XSD_DATE

### XSD_TIME

    public static final javax.xml.namespace.QName XSD_TIME

### XSD_NORMALIZEDSTRING

    public static final javax.xml.namespace.QName XSD_NORMALIZEDSTRING

### XSD_TOKEN

    public static final javax.xml.namespace.QName XSD_TOKEN

### XSD_UNSIGNEDLONG

    public static final javax.xml.namespace.QName XSD_UNSIGNEDLONG

### XSD_UNSIGNEDINT

    public static final javax.xml.namespace.QName XSD_UNSIGNEDINT

### XSD_UNSIGNEDSHORT

    public static final javax.xml.namespace.QName XSD_UNSIGNEDSHORT

### XSD_UNSIGNEDBYTE

    public static final javax.xml.namespace.QName XSD_UNSIGNEDBYTE

### XSD_POSITIVEINTEGER

    public static final javax.xml.namespace.QName XSD_POSITIVEINTEGER

### XSD_NEGATIVEINTEGER

    public static final javax.xml.namespace.QName XSD_NEGATIVEINTEGER

### XSD_NONNEGATIVEINTEGER

    public static final javax.xml.namespace.QName XSD_NONNEGATIVEINTEGER

### XSD_NONPOSITIVEINTEGER

    public static final javax.xml.namespace.QName XSD_NONPOSITIVEINTEGER

### XSD_YEARMONTH

    public static final javax.xml.namespace.QName XSD_YEARMONTH

### XSD_MONTHDAY

    public static final javax.xml.namespace.QName XSD_MONTHDAY

### XSD_YEAR

    public static final javax.xml.namespace.QName XSD_YEAR

### XSD_MONTH

    public static final javax.xml.namespace.QName XSD_MONTH

### XSD_DAY

    public static final javax.xml.namespace.QName XSD_DAY

### XSD_DURATION

    public static final javax.xml.namespace.QName XSD_DURATION

### XSD_NAME

    public static final javax.xml.namespace.QName XSD_NAME

### XSD_NCNAME

    public static final javax.xml.namespace.QName XSD_NCNAME

### XSD_NMTOKEN

    public static final javax.xml.namespace.QName XSD_NMTOKEN

### XSD_NMTOKENS

    public static final javax.xml.namespace.QName XSD_NMTOKENS

### XSD_NOTATION

    public static final javax.xml.namespace.QName XSD_NOTATION

### XSD_ENTITY

    public static final javax.xml.namespace.QName XSD_ENTITY

### XSD_ENTITIES

    public static final javax.xml.namespace.QName XSD_ENTITIES

### XSD_IDREF

    public static final javax.xml.namespace.QName XSD_IDREF

### XSD_IDREFS

    public static final javax.xml.namespace.QName XSD_IDREFS

### XSD_ANYURI

    public static final javax.xml.namespace.QName XSD_ANYURI

### XSD_LANGUAGE

    public static final javax.xml.namespace.QName XSD_LANGUAGE

### XSD_ID

    public static final javax.xml.namespace.QName XSD_ID

### XSD_SCHEMA

    public static final javax.xml.namespace.QName XSD_SCHEMA

### XMLNS_ATTRIBUTE_NS_URI

    public static final java.lang.String XMLNS_ATTRIBUTE_NS_URI

See Also:
  Constant Field Values

### XMLNS_ATTRIBUTE

    public static final java.lang.String XMLNS_ATTRIBUTE

See Also:
  Constant Field Values

### DEFAULT_NS_PREFIX

    public static final java.lang.String DEFAULT_NS_PREFIX

See Also:
  Constant Field Values

### XML_NS_URI

    public static final java.lang.String XML_NS_URI

See Also:
  Constant Field Values

### XML_NS_PREFIX

    public static final java.lang.String XML_NS_PREFIX

See Also:
  Constant Field Values

### NULL_NS_URI

    public static final java.lang.String NULL_NS_URI

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.